<?php

/*******************************************************************************
/*******************************************************************************
    doorGets 6.0 - 05, March 2014
    doorgets it's free PHP Open Source CMS PHP & MySQL
    Copyright (C) 2012 - 2014 By Mounir R'Quiba -> Crazy PHP Lover
    
/*******************************************************************************

    Website : http://www.doorgets.com
    Contact : http://www.doorgets.com/?contact
    
/*******************************************************************************
    -= One life, One code =-
/*******************************************************************************
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
******************************************************************************
******************************************************************************/


class InboxModel extends doorgetsModel{
    
    
    public function __construct($action,$controller,$lg="fr"){
        
        parent::__construct($action,$controller,$lg);
        
    }
    
    public function doAction(){
        
        $out = '';
        $tableName = '_dg_inbox';
        $controllerName = 'inbox';
        
        // get Content for edit / delete
        $params = $this->Controller->Params();
        if(array_key_exists('id',$params['GET'])){
            
            $id = $params['GET']['id'];
            $isContent = $this->dbQS($id,$tableName);
            if(empty($isContent)){
                header('Location:./?controller='.$controllerName); exit();
            }
        }
        
        switch($this->Action){
            
            case 'select':
                if( $isContent['lu'] == '2'){
    
                    $data['lu'] = 1;
                    $data['date_lu'] = time();
                    $this->dbQU($id,$data,'_dg_inbox');
                    
                }
                break;
            
            case 'delete':
                
                if(!empty($this->Controller->form->i)){
                    
                    $this->Controller->checkMode();
                    
                    if(empty($this->Controller->form->e)){
                        
                        $this->dbQD($isContent['id'],$tableName);
                        FlashInfo::set("Le message à été corréctement supprimer.");
                        header('Location:./?controller='.$controllerName); exit();
                        
                    }
                }
                
                break;
            
            case 'massdelete':
                
                if(
                    
                    !empty($this->Controller->form['massdelete_index']->i)
                    && isset($this->Controller->form['massdelete_index']->i['groupe_delete_index'])
                   
                ){
                    
                    $this->Controller->checkMode();
                    
                    if(empty($this->Controller->form['massdelete_index']->e))
                    {
                        
                        $ListeForDeleted = $this->_toArray($this->Controller->form['massdelete_index']->i['groupe_delete_index']);
                
                        foreach($ListeForDeleted as $id){
                            
                            $this->dbQD($id,$tableName);
                            
                        }
                        
                        FlashInfo::set("Les données sont supprimées.");
                        header('Location:./?controller='.$controllerName); exit();
                        
                    }
                    
                }
                
                break;
        }
    }
}

