<?php

/*******************************************************************************
/*******************************************************************************
    doorGets 6.0 - 05, March 2014
    doorgets it's free PHP Open Source CMS PHP & MySQL
    Copyright (C) 2012 - 2014 By Mounir R'Quiba -> Crazy PHP Lover
    
/*******************************************************************************

    Website : http://www.doorgets.com
    Contact : http://www.doorgets.com/?contact
    
/*******************************************************************************
    -= One life, One code =-
/*******************************************************************************
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
******************************************************************************
******************************************************************************/


class ModulePageModel extends doorgetsModuleModel{
    
    public function __construct($action,$controller,$lg="fr"){
        
        parent::__construct($action,$controller,$lg);
        $this->table = '_dg_page';
        
    }
    
    public function doAction(){
        
        $out = '';
        $this->table = '_dg_page';
        // Init langue 
        $lgActuel       = $this->getLangueTradution();
        $moduleInfos    = $this->moduleInfos($this->uri,$lgActuel);
        // Init url redirection 
        $redirectUrl = './?controller=module'.$moduleInfos['type'].'&uri='.$this->uri.'&lg='.$lgActuel;
        
        // get Content for edit / delete
        $params = $this->Controller->Params();
        if(array_key_exists('uri',$params['GET'])){
            
            $uri = $params['GET']['uri'];
            $isContent = $this->dbQS($uri,$this->table,'uri');
            
            if(!empty($isContent)){
                
                if($lgGroupe = @unserialize($isContent['groupe_traduction'])){
                    
                    $idLgGroupe = $lgGroupe[$lgActuel];
                    
                    $isContentTraduction = $this->dbQS($idLgGroupe,$this->table.'_traduction');
                    if(!empty($isContentTraduction)){
                        
                        $isContent = array_merge($isContent,$isContentTraduction);
                        
                    }
                    
                }
                
            }
            
        }
        
        $champsNonObligatoire = array('description','image','meta_titre','meta_description','meta_keys','sendto','id_disqus',);
        
        if(!empty($this->Controller->form->i)){
            
            $this->Controller->checkMode();
            
            // gestion des champs vide
            foreach($this->Controller->form->i as $k=>$v){
                
                if(
                   !in_array($k,$champsNonObligatoire) &&  empty($v)
                ){
                    
                    $this->Controller->form->e[$this->Controller->controllerName.'_edit_'.$k] = 'ok';
                    
                }
                
                
            }
            
            
            if(empty($this->Controller->form->e)){
                
                if( !array_key_exists('comments',$this->Controller->form->i) ){
                    $this->Controller->form->i['comments'] = 0;
                }
                if( !array_key_exists('partage',$this->Controller->form->i) ){
                    $this->Controller->form->i['partage'] = 0;
                }
                if( !array_key_exists('mailsender',$this->Controller->form->i) ){
                    $this->Controller->form->i['mailsender'] = 0;
                }
                if( !array_key_exists('facebook',$this->Controller->form->i) ){
                    $this->Controller->form->i['facebook'] = 0;
                }
                if( !array_key_exists('disqus',$this->Controller->form->i) ){
                    $this->Controller->form->i['disqus'] = 0;
                }
                if( !array_key_exists('in_rss',$this->Controller->form->i) ){
                    $this->Controller->form->i['in_rss'] = 0;
                }
                
                $dataContenu['comments']        = $this->Controller->form->i['comments'];
                $dataContenu['partage']         = $this->Controller->form->i['partage'];
                $dataContenu['mailsender']      = $this->Controller->form->i['mailsender'];
                $dataContenu['facebook']        = $this->Controller->form->i['facebook'];
                $dataContenu['disqus']          = $this->Controller->form->i['disqus'];
                $dataContenu['in_rss']          = $this->Controller->form->i['in_rss'];
                
                $data = $this->Controller->form->i;
                
                
                unset($data['active']);
                unset($data['comments']);
                unset($data['partage']);
                unset($data['mailsender']);
                unset($data['facebook']);
                unset($data['disqus']);
                unset($data['sendto']);
                unset($data['id_disqus']);
                unset($data['in_rss']);
                
                
                $this->dbQU($isContent['id_content'],$dataContenu,$this->table,'id');
                $this->dbQU($isContent['id_content'],$data,$this->table.'_traduction',"id_content"," AND langue='$lgActuel' LIMIT 1 ");
                $this->clearDBCache();
                
                
                FlashInfo::set($this->l("Vos informations ont bien été mises à jour"));
                header('Location:'.$redirectUrl);
                exit();
                
            }
            
            FlashInfo::set($this->l("Veuillez remplir correctement le formulaire"),"error");
        }
        
    }
}