<?php

/*******************************************************************************
/*******************************************************************************
    doorGets 6.0 - 05, March 2014
    doorgets it's free PHP Open Source CMS PHP & MySQL
    Copyright (C) 2012 - 2014 By Mounir R'Quiba -> Crazy PHP Lover
    
/*******************************************************************************

    Website : http://www.doorgets.com
    Contact : http://www.doorgets.com/?contact
    
/*******************************************************************************
    -= One life, One code =-
/*******************************************************************************
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
******************************************************************************
******************************************************************************/


class ModuleBlockView extends doorgetsModuleView{
    
    public function __construct($action,$controller,$lg='fr'){
        
        parent::__construct($action,$controller,$lg);
        $this->categorie = $this->loadCategories($this->uri);
        $this->table = '_dg_block';
        
    }
    
    public function getContent(){
        
        $out = '';
        
        $lgActuel       = $this->getLangueTradution();
        $moduleInfos    = $this->moduleInfos($this->uri,$lgActuel);
        $listeCategories = $this->categorieSimple;
        unset($listeCategories[0]);
        $aActivation = $this->getArrayForms('activation');
        
        $Rubriques = array(
            
            'index'         => $this->l('Index'),
            'add'           => $this->l('Ajouter'),
            'edit'          => $this->l('Modifier'),
            'delete'        => $this->l('Supprimer'),
            
        );
        
        // get Content for edit / delete
        $params = $this->Controller->Params();
        if(array_key_exists('uri',$params['GET'])){
            
            $uri = $params['GET']['uri'];
            $isContent = $this->dbQS($uri,$this->table,'uri');
            
            if(!empty($isContent)){
                
                if($lgGroupe = @unserialize($isContent['groupe_traduction'])){
                    
                    $idLgGroupe = $lgGroupe[$lgActuel];
                    
                    $isContentTraduction = $this->dbQS($idLgGroupe,$this->table.'_traduction');
                    if(!empty($isContentTraduction)){
                        
                        $isContent = array_merge($isContent,$isContentTraduction);
                        
                    }
                    
                }
                
            }
            
        }
        
        $formEditTop = $formEditBottom = '';
        $fileFormEditTop = 'modules/bigadmin/bigadmin_form_edit_top';
        $tplFormEditTop = Template::getView($fileFormEditTop);
        ob_start(); if(is_file($tplFormEditTop)){ include $tplFormEditTop; } $formEditTop = ob_get_clean();
        
        $fileFormEditBottom = 'modules/bigadmin/bigadmin_form_edit_bottom';
        $tplFormEditBottom = Template::getView($fileFormEditBottom);
        ob_start(); if(is_file($tplFormEditBottom)){ include $tplFormEditBottom;} $formEditBottom = ob_get_clean();
        
        
        $ActionFile = 'modules/bigadmin/'.$this->Controller->controllerName.'/bigadmin_'.$this->Controller->controllerName.'_'.$this->Action;
        
        $tpl = Template::getView($ActionFile);
        ob_start(); if(is_file($tpl)){ include $tpl; } $out .= ob_get_clean();
        
        return $out;
        
    }
    
}